Subject: Re: Installing Perl modules with "perl -MCPAN -e shell;" fails with "02packages.details.txt.gz does not contain a Line-Count header"
From: "Gerrit P. Haase" <[email-masked]>
To: Stephan Petersen <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Feb 2005 20:04:23 +0100

Stephan Petersen wrote:

> Hi David,
> 
>>> Please check the validity of the index file by comparing it to more
>>> than one CPAN mirror.
>>
>>
>> Have you tried this?  E.g. configured CPAN to use another mirror and 
>> tried
>> again?
> 
> 
> yes, it's the same for every CPAN mirror I've tried. I've deleted CPAN's
> config.pm and my .cpan directory several times now, it's the same after
> every reconfiguration.
> 
> Testing 02packages.details.txt.gz with gzip -t reports:
> gzip: 02packages.details.txt.gz: invalid compressed data--format violated
> 
> Same with 03modlist.data.gz.
> 
> I'm using cygwin on W2k with default text file type "DOS", in case
> that's relevant.

Yes.  Your .cpan directory needs to be mounted in binmode (Unix).

 From /usr/share/doc/Cygwin/perl-5.8.6.README:

- The CPAN repository and build directory *must* reside in a path
   mounted in binmode:

     mount -s -b -f c:/cygwin/home/username/.cpan /home/username/.cpan
     mount -u -b -f c:/cygwin/home/username/.cpan /home/username/.cpan

   where username is your home path and cygwin / windows username.
   After mounting like this it should work with only few warnings or
   completely without problems, depending on your environment settings
   for the CYGWIN variable.

HTH,
Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/